@mixin dark-theme {
    body,
    .card,
    .breadcrumb,
    .modal-content,
    .table,
    .box,
    ul.timeline > li:before,
    .list-group-item,
    .bg-white,
    .page-item:not(.active) .page-link {
        background-color: $gray-900 !important;
        color: white !important;
    }

    .close {
        background-color: transparent!important;
    }

    .table th, .table td {
        border-color: $gray-800 !important;
    }

    .card,
    .modal-content,
    .page-item.active .page-link {
        border-color: white;
    }

    .table-secondary, .table-secondary > td, .table-secondary > th {
        background-color: darken($secondary, 15%) !important;
    }

    .dropdown-item:hover, .dropdown-item:focus {
        background-color: $gray-700;
    }

    .dropdown-menu.bg-white .dropdown-item,
    .text-dark,
    a.text-dark:hover, a.text-dark:focus {
        color: white!important;
    }

    .calendar .day.today.wrong-month {
        background-color: $gray-700;
    }
}

@media (prefers-color-scheme: dark) {
    @include dark-theme;
}

.dark-theme {
    @include dark-theme;
    background-color: $gray-900 !important;
    color: white !important;
}
